View Issue Details

IDProjectCategoryView StatusLast Update
0023538mantisbtfilterspublic2018-03-31 19:58
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.8.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0023538: Filter field for relationship bug id is set to -1 by default
Description

When updating a filter, when relationship-bug-id is not provided, it is being set as -1 by default, which have no sense for a bug id (as it may be mapped as meta-value-myself)
This has no impact in current version but filters stored until now have this value in the filter string, which can impact if this value is used in new ways.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master e0f6c9fa

2017-10-23 06:09:46

cproensa


Committer: dregad Details Diff
Fix reading gpc value for relationship bug id

Fix typo when reading gpc filter parameters.
Add a validation for relationship filter fields to clean invalid values.

Fixes: 0023538
Affected Issues
0023538
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2017-10-24 16:34 cproensa New Issue
2017-10-24 17:30 cproensa Assigned To => cproensa
2017-10-24 17:30 cproensa Status new => assigned
2018-03-05 04:19 dregad Changeset attached => MantisBT master e0f6c9fa
2018-03-05 04:19 cproensa Status assigned => resolved
2018-03-05 04:19 cproensa Resolution open => fixed
2018-03-05 04:19 cproensa Fixed in Version => 2.13.0
2018-03-05 04:26 atrol Target Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed